<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('lottery_awards', function (Blueprint $table) {
            $table->integer('num')->default(1)->comment('中奖人数')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('lottery_awards', function (Blueprint $table) {
            $table->tinyInteger('num')->default(1)->comment('中奖人数');
        });
    }
};
